Loading...
Searching...
No Matches
Opm::PAvg Class Reference

## Public Types

enum class | DepthCorrection { WELL = 1 , RES = 2 , NONE = 3 }

## Public Member Functions

| PAvg (const DeckRecord &record)
| PAvg (double inner_weight, double conn_weight, DepthCorrection depth_correction, bool use_open_connections)
double | inner_weight () const
double | conn_weight () const
bool | open_connections () const
DepthCorrection | depth_correction () const
bool | use_porv () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const PAvg &other) const
bool | operator!= (const PAvg &other) const

## Static Public Member Functions

static PAvg | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Well/PAvg.hpp
- opm/input/eclipse/Schedule/Well/PAvg.cpp